#!/usr/bin/env bash

DATA_PATH=$PWD/../data

cd joystream

RUNTIME=${RUNTIME:=$(scripts/runtime-code-shasum.sh)}

export JOYSTREAM_NODE_TAG=${RUNTIME}
docker-compose run --rm -d -v ${DATA_PATH}:/spec --name joystream-node \
  -p 9944:9944 -p 9933:9933 joystream-node \
  --alice --validator --unsafe-ws-external --unsafe-rpc-external \
  --rpc-methods Unsafe --rpc-cors=all -l runtime \
  --chain /spec/chain-spec-raw.json -d /spec/chain --pruning=archive --no-telemetry