#!/usr/bin/env bash

source .env
mkdir -p data
sudo rm -rf data/chain

docker-compose up -d

sleep 1 # we need to wait for the container to start the docker service

docker exec -it -w /joystream joystream-aio-${CHAIN_NAME} bash -c "source /root/.bashrc && ./build-node-docker.sh"
docker exec -it joystream-aio-${CHAIN_NAME} bash -c "source /root/.bashrc && scripts/generate-chain-spec.sh"
docker exec -it joystream-aio-${CHAIN_NAME} bash -c "source /root/.bashrc && scripts/start-node.sh"
docker exec -it -w /joystream joystream-aio-${CHAIN_NAME} bash -c "source /root/.bashrc && query-node/start.sh" 