# Joystream AIO Docker Image 
This docker image allows to run multiple validators nodes and query nodes in the same machine without the problem of name collission. Just run one container from this image for each different network you want to run in the same machine.
The process of getting this image ready was split in two parts: 
- Regular docker build (which will clone the joystream monorepo, checkout the selected branch, do the initial setup and build the necessary things).
- Build of the joystream-node docker image, generate the chain spec file, start the validator node and the query node. 

## Setup
Create the '.env (you can check the .env.example) with: 
- The name of the chain you want to run (this will be used as sufix for the docker containers, so must be unique)
- Branch name to be used on the joystream monorepo
- Node and query node port's  

## First run
```
./first-run.sh
```

## Afterwards
After running the docker container the first time, just execute the run.sh script to start the container and start the joystream-node validator inside the container.
``` 
./run.sh
```